Page MenuHomePhabricator

CX2: Link inspector shows links from local wiki
Closed, ResolvedPublic

Description

Since the default api lookup for titles happens in local wiki, The link inspector to change the link target or add a new link, shows titles only present in local wiki. Irrespective of what the local wiki is, the api should always hit the target language wiki. This require passing custom api to the VE Link inspector

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterCustomize the VE LinkCache to point to correct wiki
mediawiki/extensions/ContentTranslation : masterMake the Link inspector point to correct target wiki

Event Timeline

santhosh created this task.Apr 30 2018, 5:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2018, 5:32 AM
santhosh triaged this task as Medium priority.Apr 30 2018, 5:32 AM

Change 429405 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Make the Link inspector point to correct target wiki

https://gerrit.wikimedia.org/r/429405

Change 429404 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Customize the VE LinkCache to point to correct wiki

https://gerrit.wikimedia.org/r/429404

Change 429405 merged by Esanders:
[mediawiki/extensions/ContentTranslation@master] Make the Link inspector point to correct target wiki

https://gerrit.wikimedia.org/r/429405

Nikerabbit moved this task from In Review to QA on the Language-2018-Apr-June board.

Change 429404 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Customize the VE LinkCache to point to correct wiki

https://gerrit.wikimedia.org/r/429404

Etonkovidova closed this task as Resolved.May 17 2018, 2:01 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked in cx2-testing - Link inspector always shows target wiki link with Apertium or 'Use source text':

Vvjjkkii renamed this task from CX2: Link inspector shows links from local wiki to yzdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed santhosh as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Arrbee renamed this task from yzdaaaaaaa to CX2: Link inspector shows links from local wiki.Jul 2 2018, 1:32 PM
Arrbee closed this task as Resolved.
Arrbee assigned this task to santhosh.
Arrbee lowered the priority of this task from High to Medium.
Arrbee updated the task description. (Show Details)